%define prefix /usr
%define date 20011226
%define durl http://www.ibiblio.org/pub/Linux/ALPHA/wine/development/

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	Windows Emulator (Binary Emulator)
Name:		wine
Version:	%{date}
Release:	4mdk
License:	MIT
Group:		Emulators
Packager:	David BAUDENS <baudens@mandrakesoft.com>

Source0:	%{durl}/Wine-%version.tar.bz2

Source1:	make_a_windows_system.sh
Source2:	wine.init

Source3:	wine-config.pl
Source4:	wine-launcher.sh

Source5:	wine.userreg
Source6:	wine.systemreg
Source7:	wine.reg

Patch:		wine-20011226-mdkconf.patch.bz2
Patch1:		wine-20011226-debian.patch.bz2

URL:		http://www.winehq.com/
ExclusiveArch:	%ix86
BuildRoot:	%_tmppath/%{name}-root
BuildRequires:	bison flex gcc gpm-devel libMesaGLU-devel perl-devel ncurses-devel sgml-tools XFree86-devel xpm-devel
Requires:	setup >= 2.2.0-10mdk

%description
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package consists of the emulator program for running windows executables.

Wine is often updated.

%package -n %{name}-utils
Summary: Wine Emulator (Utilities)
Group: Emulators
Requires: %{name} = %{version}

%description -n %{name}-utils
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package consists many of the utilities provided by wine, both 
for compiling source using winelib and for running wine.  This
package is not strictly necessary.

Wine is often updated.

%package -n %{lib_name}
Summary: Main library for %{lib_name_orig}
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}
Requires(pre): /bin/sed, /bin/awk, /bin/egrep

%description -n %{lib_name}
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

Wine is often updated.

%package -n %{lib_name}-devel
Summary: Static libraries and headers for %{lib_name_orig}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: wine-devel
Provides: wine-devel

%description -n %{lib_name}-devel
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

%{lib_name}-devel contains the libraries and header files needed to
develop programs which make use of wine.

Wine is often updated.

%prep

%setup -q
%patch0 -p1 -b .chmou
%patch1 -p1 -b .debian

%build
find . -type 'd' -name 'CVS'|xargs rm -rf

%configure \
	--enable-dll \
	--with-x \
	--prefix=%_prefix \
	--libdir=%_libdir/wine \
	--includedir=%_prefix/include/wine \
	--sysconfdir=%_sysconfdir%{name} \
	--enable-opengl

make depend
%make
%make -C programs

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall libdir=$RPM_BUILD_ROOT/usr/lib/wine includedir=$RPM_BUILD_ROOT/usr/include/wine LDCONFIG=/bin/true

mkdir -p $RPM_BUILD_ROOT/etc/wine
install -c -m 0644 %{SOURCE5} $RPM_BUILD_ROOT/etc/wine/wine.userreg
install -c -m 0644 %{SOURCE6} $RPM_BUILD_ROOT/etc/wine/wine.systemreg
install -c %{SOURCE7} $RPM_BUILD_ROOT/etc/wine/wine.reg

mv %{buildroot}%{_libdir}/wine/libwine.so* %{buildroot}%{_libdir}
mv %{buildroot}%{_libdir}/wine/libwine_unicode* %{buildroot}%{_libdir}
mv %{buildroot}%{_libdir}/wine/libwine_tsx11* %{buildroot}%{_libdir}
mv %{buildroot}%{_libdir}/wine/*.a %{buildroot}%{_libdir}

%makeinstall -C documentation  prefix=$RPM_BUILD_ROOT%{_prefix}
%makeinstall -C programs	prefix=$RPM_BUILD_ROOT%{_prefix}

mv %buildroot/%{prefix}/bin/wine %buildroot/%{prefix}/bin/wine.bin
install -m755 %{SOURCE4} %buildroot/%{prefix}/bin/wine
mkdir -p %{buildroot}/usr/share/%{name}
install -D -m755 %{SOURCE3} %{buildroot}/usr/share/%{name}/wine-config

%{expand:%(%__cat %{SOURCE1})}

# Allow users to launch Windows programs by just clicking on the .exe file...
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

export DONT_GPRINTIFY=1

%clean
rm -fr $RPM_BUILD_ROOT

%preun
%_preun_service %{name}

%post
%_post_service %{name}

%post -n %{lib_name}
grep -q "^/usr/lib/wine$" /etc/ld.so.conf || echo "/usr/lib/wine" >> /etc/ld.so.conf
/sbin/ldconfig

%postun -n %{lib_name}
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v -e "/usr/X11R6/lib/wine" -e "/usr/lib/wine" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS BUGS README

%config(noreplace) /etc/%{name}
%config(noreplace) /etc/rc.d/init.d/*

%{_libdir}/wine/lib*.so*
%{_bindir}/wine.bin
%{_bindir}/wine
%{_bindir}/wineserver
%{_bindir}/wineclipsrv
%{_bindir}/wineshelllink
%{_bindir}/dosmod
%{_bindir}/regapi
%{_bindir}/regapi.so
%{_mandir}/man1/wine.1*
%{_mandir}/man5/wine.conf.5*

%attr(0775, root, wine) %dir /var/lib/wine
%attr(0775, root, wine) %dir /var/lib/wine/windows
%attr(0775, root, wine) %dir /var/lib/wine/windows/system
%attr(0775, root, wine) %dir /var/lib/wine/windows/Profiles
%attr(0775, root, wine) %dir /var/lib/wine/windows/Profiles/Administrator
%attr(0775, root, wine) %dir /var/lib/wine/windows/Desktop
%attr(0775, root, wine) %dir /var/lib/wine/windows/Favorites
%attr(0775, root, wine) %dir /var/lib/wine/windows/Fonts
%attr(0775, root, wine) %dir /var/lib/wine/windows/NetHood
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu"
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu/Programs"
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu/Programs/Startup"
%attr(0775, root, wine) %dir /var/lib/wine/windows/Recent
%attr(0775, root, wine) %dir /var/lib/wine/windows/SendTo
%attr(0775, root, wine) %dir /var/lib/wine/windows/ShellNew
%attr(0775, root, wine) %dir /var/lib/wine/windows/system32
%attr(0775, root, wine) %dir "/var/lib/wine/Program Files"
%attr(0775, root, wine) %dir "/var/lib/wine/Program Files/Common Files"
%attr(0775, root, wine) %dir "/var/lib/wine/My Documents"
/var/lib/wine/windows/system/*dll

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}-config

%config(noreplace) /var/lib/wine/autoexec.bat
%config(noreplace) /var/lib/wine/config.sys
%attr(0664, root, wine) %config(noreplace) /var/lib/wine/windows/win.ini
%attr(0664, root, wine) %config(noreplace) /var/lib/wine/windows/system.ini

%files -n %{lib_name}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/*.so.*
%{_libdir}/%{name}

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc DEVELOPERS-HINTS ChangeLog BUGS
%{_libdir}/*a
%{_libdir}/*so
%{_bindir}/winebuild
%{_bindir}/wmc
%{_bindir}/wrc
%{_includedir}/*/*
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*

%files -n %{name}-utils
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/fnt2bdf
%{_bindir}/hlp2sgml
%{_bindir}/winedump
%{_bindir}/winemaker
%{_bindir}/winedbg
%{_bindir}/winedbg.so
%{_bindir}/clock
%{_bindir}/clock.so
%{_bindir}/notepad
%{_bindir}/notepad.so
%{_bindir}/progman
%{_bindir}/progman.so
%{_bindir}/uninstaller
%{_bindir}/uninstaller.so
%{_bindir}/wcmd
%{_bindir}/wcmd.so
%{_bindir}/winemine
%{_bindir}/winemine.so
%{_bindir}/winhelp
%{_bindir}/winhelp.so
%{_mandir}/man1/winemaker.1*

%changelog
* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 20011226-4mdk
- BuildRequires

* Fri Jan 18 2002 David BAUDENS <baudens@mandrakesoft.com> 20011226-3mdk
- Fix %%preun - Thanks to Andre Duclos

* Tue Jan  8 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20011226-2mdk
- libwine-devel provides/obsoletes wine-devel.

* Fri Jan  4 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20011226-1mdk
- 20011226.
- New libwine libwine-devel and wine-utils packages.
- New init scripts.
- Put config files in /etc/wine.
- New auto configurator.
- Merge with rh patches.

* Wed Nov 21 2001 David BAUDENS <baudens@mandrakesoft.com> 20011108-1mdk
- 20011108

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 20010824-2mdk
- BuildRequires: XFree86-devel
- Provides: wine-debug (make rpmplint happy)

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010824-1mdk
- 20010824.

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 20010731-2mdk
- BuildRequires: sgml-tools
- Remove redundant BuildRequires: glibc-devel, XFree86-devel

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010731-1mdk
- 20010731.
- Rework completly the specfile (move wine from /usr/X11R6 in /usr).
- Add binfmt service to let use launch .exe file directly with wine.
- Merge rh changes.
- Requires latest setup for wine user.

* Thu Jul 12 2001 David BAUDENS <baudens@mandrakesoft.com> 20010629-1mdk
- 20010629

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010510-1mdk
- 20010510.

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010418-1mdk
- 20010418.

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 20010326-1mdk
- 20010326

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010305-1mdk
- Add /usr/X11R6/lib/wine to ld.so.conf.
- Rewrote all automaticall detection scripts and default config.
- 20010305.

* Thu Dec 07 2000 David BAUDENS <baudens@mandrakesoft.com> 20001202-1mdk
- 20001202
- Disable optimizations for this release (don't build)

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-4mdk
- Move libraries in %%prefix/lib/wine

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-3mdk
- Add flex bison (Frederic CROZAT) and Mesa-common-devel to BuildRequires
- Little spec clean up

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-2mdk
- Build with glibc-2.2 & gcc-2.96

* Fri Oct 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-1mdk
- 20001026

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 20001002-1mdk
- 20001002

* Mon Sep 11 2000 David BAUDENS <baudens@mandrakesoft.com> 20000909-1mdk
- 20000909

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-5mdk
- Rebuild with right options

* Sun Sep 03 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-4mdk
- Allow to use without install devel package

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-3mdk
- Add packager tag

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-2mdk
- Add librpcrt4.so in devel package

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-1mdk
- 20000821
- Make RPMLint happy (thanks to Guillaume COTTENCEAU)
- Split in two packages (devel and non devel)

* Mon Aug 14 2000 David BAUDENS <baudens@mandrakesoft.com> 20000801-2mdk
- Fix macro disastear
- Enable OpenGL - It needs a lot of tests, so please report bugs
- Some little enhancements in wine-config
- Back in /usr/X11R6
- Spec clean up

* Tue Aug 08 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 20000801-1mdk
- s|20000716|20000801|
- *real* macrosifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000716-2mdk
- automatically added BuildRequires

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 20000716-1mdk
- 20000716
- BM
- Move into /usr

* Mon Jul 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20000614-1mdk
- 20000614
- Make Pixel happy

* Sat May 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000526-1mdk
- 20000526

* Mon May 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000430-1mdk
- 20000430
- spec cleanup
- Update URL
- Update LICENSE

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 20000326-3mdk
- New group

* Tue Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-2mdk
- Fix wine-config

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-1mdk
- 20000326

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-2mdk
- Use new group
- Clean up spec

* Wed Mar 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-1mdk
- 20000227

* Thu Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build with new Mesa

* Fri Nov 18 1999 - David BAUDNS <baudens@mandrakesoft.com>
- 991114

* Mon Nov 01 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 991031
- Add i486, i686 and k6 arch
- Delete all locale summary and description (it's in po now)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990923

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Fix an old bug in the spec (Thanks dark chmouel)

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 19990731

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post script syntax.

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990704
	* windows/*.c, ole/*.c, files/*.c, multimedia/*.c:
	Converted to the new debug interface, using script written by Patrik
	Stridvall.

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %post scripts.
- Upgrade Prereq.

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 990518
- --enable-dll
- add de locale
- ignore RPM_OPT_FLAGS - Wine segfaults if compiled with more optimizations
  than -O2.

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake 6.0 adaptations.
- 990508

* Tue Apr 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990328.

* Tue Mar 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990314
- Fix in the wine-config postinstall script.

* Sun Jan 03 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- deleted the %post %postun of package wine-debug (no more needed since
  the wrapper does now the job)
- make use of %prefix definition; now changing almost one line you can
  choose wether you want to install in /usr/local or /usr or %prefix
- changed %post so it is only done the *first* time it is installed 
  (otherwise people will hate us for doing weird things whith their
  hand made configurations)

* Tue Dec 29 1998 Chmouel Boudjnah <crbc@club-internet.fr>
- Adding speciale wine-conf for mandrake
- Adding postinstall script
- Changing the ./configure to put wine.conf in /etc and prefix on %prefix
- First version receveid from Pablo Saratxaga <srtxg@chanae.alphanet.ch>
